
Katello - Tracker #36888

Remove deprecated field from docker repo authentication tokens

11/02/2023 07:07 PM - Quinn James

Status: New % Done: 0%

Priority: Low   

Assignee:    

Category: API   

Target version: Katello 4.13.0   

Difficulty: trivial Fixed in Releases: Katello 4.12.0

Triaged: Yes Found in Releases: Katello 4.12.0

Bugzilla link:  Red Hat JIRA:  

Description

#36827 updated tokens returned during authentication to match OAuth2 specs required by docker. This involved changing the

`expires_at` field to an `expires_in` field. We kept the former field to maintain compatibility with existing smart proxies during 4.11

upgrades. It should be removed in 4.13 or later.

Relevant code: app/controllers/katello/api/registry/registry_proxies_controller.rb:160-163

History

#1 - 11/08/2023 06:42 PM - Chris Roberts

- Triaged changed from No to Yes

#2 - 11/28/2023 04:09 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Remove depricated field from docker repo authentication tokens to Remove deprecated field from docker repo authentication

tokens

#3 - 03/27/2024 06:04 PM - Jeremy Lenz

- Target version changed from Katello 4.12.0 to Katello 4.13.0
